Accès bloqué à l'instance

Accès bloqué à l'instance
0
Tags: #<Tag:0x00007fed44b55f70>

Bonjour,

Je ne peux plus accéder à mon instance, et j’ai l’écran de chargement (image ci-dessous)

Quand j’essaie d’accéder au logs, j’ai le message : NOT_GRANTED

Avez-vous une idée de comment débloquer l’instance ?

Merci d’avance,
Hamza

Avez vous regardé les logs ?
La console du navigateur ?
etc.

La console du navigateur est vide (image ci-dessous)


Quant au logs système j’ai une page vide avec le message : NOT_GRANTED

J’imagine que vous vous connectez avec le user “designer” (ce serait bien de le préciser car ne peut pas le savoir avec les copies d’écran partielles que vous avez fournies)

Si oui visiblement vous n’êtes pas sur le scope “Simplicité Administrator” donc c’est peut être normal que vous n’ayez pas accès à la page de consultation des logs Simplicité (qui est réservé à des utilisateurs ayant des droits qui justifient d’y avoir accès).

Bref, essayez déjà de forcer ce scope en appelant <votre URL>/ui?scope=Home pour revenir sur un profil de droits complets. Ensuite dites moi ce que vous avez dans les logs.

Merci de votre réponse.

J’ai forcé le scope comme indiqué, et ça a marché.
J’ai vérifié les logs et j’ai ça comme erreur :

Que faut il comprendre par “ça à marché” ? Voulez-vous dire que vous avez accès à la UI ? Ou uniquement à la page de consultation des logs ? Essayez de nous aider un peu plus en nous donnant le maximum d’informations, on ne peut pas deviner ce que vous ne dites pas…

Si vous avez accès à la UI:

  • avez vous forcé un clear cache après le changement de scope ? Dans le doute il faut toujours commencer par cela.
  • avez vous forcé une recompilation de vos classes Java pour vérifier qu’il n’y avait pas d’erreurs de compilation ?
    etc.

Ma réponse était sur la possibilité de “revenir sur un profil de droits complet”. J’ai alors accès à la UI et aussi au logs.

J’ai forcé un clear cache après mon changement de scope et j’ai l’UI qui marche toujours.
Après recompilation des classes j’ai une erreur sur les logs de type “unable to register the webhook” et ça concerne l’objet externe de webhook Trello. (même erreur dans les logs en capture de la réponse précédente).

Merci

On parle de quelle version/patchelevel/revision

Je pose la question car sur la branche de dev (“alpha”) il y a eu des changements sur la manière de configurer et d’utiliser la classe TrelloTool (sur les branches release/prerelease cette classe est expérimentale, cela signifie qu’elle peut donc être modifiée/remaniée sur la branche de dev sans garantie de compatibilité ascendante). Mais normalement vous n’êtes pas sensés utiliser une instance calée sur la branche de dev.

Sur la branche de dev le format des paramètres Trello est désormais par défaut dans le paramètre système TRELLO_SERVICE qui doit contenir des paramètres du genre:

{
	"enabled": false,
	"key": "_your_trello_api_key_",
	"token": "_your_trello_access_token_",
	"secret": "_your_trelo_api_secret_",
	"defaultBoard": "_a_board_name_1_"
	"boards": {
		"_a_board_name_1_": {
			"boardId": "_a_target_board_id_1_",
			"listId": "_a_default_list_id_in_the_target_board_1_"
		},
		"_a_board_name_2_": {
			"boardId": "_a_target_board_id_2_",
			"listId": "_a_default_list_id_in_the_target_board_2_"
		}
	}
}

Les méthodes de cette classe ont aussi été remaniées. Et cela risque de changer encore. La raison est que nous intégrons désormais Trello à nos mécanismes standard de notifications et que cela induit quelques ajustements/améliorations par rapport à la classe expérimentale de la version précédente.

@dnguyen il y aura donc des adaptations mineures à faire quand la prochaine version sera releasée dans 1 an. En attendant ce qui avait été mis en place continuera à fonctionner sur la branche release (là ça pose pb car vous utilisez, à priori, une branche dev que vous ne devriez pas utiliser)

Merci @david de nous avoir tenu informé de la situation.

Sur l’instance où l’erreur est survenue, les informations version / patchlevel/revision sont :

Simplicité version4.0 patch level P25a
Revision08a66cc0f10eaea62120077121208f42b77f5403

J’ai vérifié sur nos autres instance avec différents patchlevel/revision, et nous avons la même erreur.
Les informations des autres instances :

Simplicité version4.0 patch level P24
(revision 6e8a57d9c806fda36969f1e213390a6b6f76f2fb)

L’erreur 400 retournée par Trello signifie forcélent un pb dans la configuration des paramètres Trello. Activez les traces de debug de ce composant cf. https://docs.simplicite.io/4.0/javadoc/com/simplicite/util/tools/TrelloTool.html#setDebug(boolean)

Par contre je ne comprend pas pourquoi vous utilisez une instance “alpha” (P25a), comme je l’ai expliqué sur cette instance le TrelloTool a évolué et n’est plus totalement compatible avec le TrelloTool expérimental actuellement en release
(P24) => arretez d’utiliser cette instance alpha, ça n’a aucun sens de travailler sur cette branche !

Je note par ailleurs que votre instance release (P24) date d’il y a plus de 10 jours, or pour information nous avons depuis poussé 24 commits (!) avec des corrections importantes et des changements mineurs (dont visiblement un qui porte sur TrelloTool et qui vous concerne donc directement)

Bref avant de solliciter notre support commencez par mettre à jour vos instances.

Comme je l’ai déjà expliqué nous ne pouvons pas assurer de support si vous ne maintenez pas à jour vos instances. Si vous ne le faites pas tout le monde perd son temps.